; Relname.cl

; A RELNAME (relative pathname) is an IDENTIFIER.  It must fulfill the
; requirements in the procedural test "relname?", which is OS
; dependent.  In UNIX, this is defined as an identifier that begins
; and ends with a character other than '/' and has '/' in the middle.

(define-concept RELNAME 
    (and IDENTIFIER 
	(test-c relname? name)))

; Since a FILENAME and a RELNAME is a relative name, we need to find
; out the directory that this name is issued.

(define-rule rule-relname-cwd
    RELNAME
    (computed-filler getcwd cwd))
