; Type.cl

(define-primitive FILE-TYPE CLASSIC-THING)

(define-disjoint-primitive DIRECTORY-FILE FILE-TYPE typ)
(define-concept DIRECTORY DIRECTORY-FILE)
(define-disjoint-primitive NORMAL-FILE FILE-TYPE typ)

(define-disjoint-primitive TEXT NORMAL-FILE typ)

    (define-disjoint-primitive SOURCE TEXT typ)

        (define-disjoint-primitive ASSEMBLER SOURCE typ)
        (define-disjoint-primitive C SOURCE typ)
            (define-disjoint-primitive HEADER C typ)
        (define-disjoint-primitive C++ SOURCE typ)
        (define-disjoint-primitive PASCAL SOURCE typ)
        (define-disjoint-primitive FORTRAN SOURCE typ)
        (define-disjoint-primitive LISP SOURCE typ)
        (define-disjoint-primitive CLASSIC SOURCE typ)

    (define-disjoint-primitive POSTSCRIPT TEXT typ)

    (define-disjoint-primitive MAILBOX TEXT typ)

    (define-disjoint-primitive ENGLISH TEXT typ)

    (define-disjoint-primitive DOC TEXT typ)

        (define-disjoint-primitive ME DOC typ)
        (define-disjoint-primitive MS DOC typ)
        (define-disjoint-primitive MAN DOC typ)
        (define-disjoint-primitive GRN DOC typ)
        (define-disjoint-primitive TEX DOC typ)

    (define-disjoint-primitive UUENCODED TEXT typ)

    (define-disjoint-primitive SHELL TEXT typ)

        (define-disjoint-primitive C-SHELL SHELL typ)
        (define-disjoint-primitive BOURNE-SHELL SHELL typ)
        (define-disjoint-primitive KORN-SHELL SHELL typ)

(define-disjoint-primitive BINARY NORMAL-FILE typ)

    (define-disjoint-primitive OBJECT BINARY typ)

    (define-disjoint-primitive EXEC BINARY typ)

    (define-disjoint-primitive LIBRARY BINARY typ)

    (define-disjoint-primitive ENCRYPTED BINARY typ)

    (define-disjoint-primitive COMPRESSED BINARY typ)

    (define-disjoint-primitive TARRED BINARY typ)

    (define-disjoint-primitive CORE BINARY typ)
