; uncompress.cl

(define-concept UNCOMPRESS
    (and COMMAND 
	(fills name "uncompress")))

(define-rule rule-uncompress1 UNCOMPRESS (fills optstr "cv"))

    (define-concept UNCOMPRESS-SYNTAX
	(and UNCOMPRESS 
	    (all options (one-of "-c" "-v"))))

    (define-rule rule-uncompress-output UNCOMPRESS-SYNTAX (all output FILE))

; uncompress filename ...

	(define-concept UNCOMPRESS-FILE
	    (and UNCOMPRESS-SYNTAX
		(at-least 1 arguments)
		(all arguments (and 
				   NAME-of-EXIST-FILE 
				   (all file COMPRESSED)))))

; UNCOMPRESS-FILE is DESTRUCTIVE unless -c is supplied.

	(define-concept UNCOMPRESS-DESTRUCTIVE
	    (and UNCOMPRESS-FILE
		(all options (one-of "-v"))))

	(define-rule rule-uncompress-destructive UNCOMPRESS-DESTRUCTIVE DESTRUCTIVE)
       
; uncompress < filename

	(define-concept UNCOMPRESS-STDIN
	    (and UNCOMPRESS-SYNTAX
		(exactly 0 arguments)))

	(define-rule rule-uncompress-input 
	    UNCOMPRESS-STDIN 
	    (all input COMPRESSED))
