; Existence.cl

(define-attribute file)

; EXISTENCE defines the concept of whether a pathname is a pathname of
; an existing file.

(define-primitive EXISTENCE CLASSIC-THING)

; EXIST and NOT-EXIST define the corresponding kinds of files.

(define-concept EXIST 
    (and EXISTENCE
	(test-c exist? name)))

(define-concept NOT-EXIST
    (and EXISTENCE
	(test-c not-exist? name)))

; If an FNAME individual EXISTs, we should fill the "file" role
; with the corresponding FILE individual.

(define-rule rule-exist-file
    EXIST
    (computed-filler filename-file file name))
