; Mode.cl

(define-role mode)

(define-primitive FILE-MODE CLASSIC-THING)

(define-primitive READ-ONLY FILE-MODE)
(define-concept READ-ONLY1 
     (and 
	 (exactly 1 mode) 
	 (fills mode "r"))
)
(define-concept READ-ONLY2
     (and 
	 (exactly 2 mode) 
	 (fills mode "r") 
	 (fills mode "x"))
)
(define-rule rule-read-only1 READ-ONLY1 READ-ONLY)
(define-rule rule-read-only2 READ-ONLY2 READ-ONLY)

(define-concept READABLE (fills mode "r"))
(define-concept WRITEABLE (fills mode "w"))
(define-concept EXECUTABLE (fills mode "x"))

; NOTE: the following is not the real eraseable semantics
;       the true semantics requires a test on the mode of the 
;	parent directory.  But it is a close estimation because
;	RM will display a warning and prompts for y/n if the 
;	file is not writeable.
;
(define-concept ERASEABLE (fills mode "w"))
