; cat.cl

(define-concept CAT 
    (and COMMAND 
	(fills name "cat"))
)

(define-rule rule-cat1 CAT (fills optstr "benstuv"))
(define-rule rule-cat2 CAT INSPECT)

    (define-concept CAT-SYNTAX
	(and CAT
	    (all options (one-of "-b" "-e" "-n" "-s" "-t" "-u" "-v"))))

; cat -n ...

    (define-primitive CAT-NUMBERED CAT)

    (define-concept CAT-OPTION-NUMBERED
	(and CAT 
	    (fills options "-n")))

    (define-rule rule-cat-numbered CAT-OPTION-NUMBERED CAT-NUMBERED)

; cat -v ...

    (define-concept CAT-OPTION-VISUAL
	(and CAT
	    (fills options "-v")))

    (define-concept CAT-VISUAL CAT-OPTION-VISUAL)

; cat file1 [ file2 ... ]

	(define-concept CAT-FILE
	    (and CAT-SYNTAX
		(at-least 1 arguments)
		(all arguments NAME-of-EXIST-TEXT-FILE)))

; cat < infile

	(define-concept CAT-PLAIN
	    (and CAT-SYNTAX
		(exactly 0 arguments)
		(all input TEXT)))

; cat -v file [ file2 ... ]

	(define-concept CAT-VISUAL-FILE
	    (and CAT-SYNTAX
		CAT-VISUAL
                (at-least 1 arguments)
		(all arguments NAME-of-EXIST-NORMAL-FILE)))

; cat -v < infile

	(define-concept CAT-VISUAL-PLAIN
	    (and CAT-SYNTAX
		CAT-VISUAL
		(exactly 0 arguments)
		(all input NORMAL-FILE)))

; cat -n file [ file2 ... ]

	(define-concept CAT-NUMBERED-DEBUG
	    (and CAT-SYNTAX
		CAT-NUMBERED
                (at-least 1 arguments)
		(all arguments NAME-of-EXIST-NORMAL-FILE)))

