; rm.cl

(define-concept RM 
    (and COMMAND 
        (fills name "rm")))

(define-rule rule-rm1 RM (fills optstr "fri"))
(define-rule rule-rm2 RM DELETION)

    (define-concept RM-SYNTAX
	(and RM 
	    (at-least 1 arguments) 
	    (all options (one-of "-f" "-r" "-i"))))

; rm -i ...

    (define-concept RM-OPTION-INTERACTIVE
	(and RM 
	    (fills options "-i")))

    (define-rule rule-rm-interactive RM-OPTION-INTERACTIVE INTERACTIVE)

; rm -f ...

    (define-concept RM-OPTION-FORCE
	(and RM 
	    (fills options "-f")))

    (define-rule rule-rm-force RM-OPTION-FORCE FORCE)

; rm -r ...

    (define-concept RM-OPTION-RECURSIVE
	(and RM 
	    (fills options "-r")))

    (define-rule rule-rm-recursive RM-OPTION-RECURSIVE RECURSIVE)

; rm old_file1 old_file2 ...

	(define-concept RM-PLAIN
	    (and RM-SYNTAX
		(all arguments NAME-of-EXIST-NORMAL-FILE)))

; rm -r old_dir1 old_dir2 ...

	(define-concept RM-DIR
	    (and RM-SYNTAX
		RECURSIVE
		(all arguments NAME-of-EXIST-DIRECTORY)))

; rm -r old_file old_dir ...

	(define-concept RM-GENERAL
	    (and RM-SYNTAX
		RECURSIVE
		(at-least 2 arguments)
		(all arguments NAME-of-EXIST-FILE)
		(test-c some arguments NAME-of-EXIST-NORMAL-FILE)
		(test-c some arguments NAME-of-EXIST-NORMAL-FILE)))

